Vulnerability CVE-2009-3759


Published: 2009-10-22   Modified: 2012-02-13

Description:
Multiple cross-site request forgery (CSRF) vulnerabilities in sample code in the XenServer Resource Kit in Citrix XenCenterWeb allow remote attackers to hijack the authentication of administrators for (1) requests that change the password via the username parameter to config/changepw.php or (2) stop a virtual machine via the stop_vmname parameter to hardstopvm.php. NOTE: some of these details are obtained from third party information.

See advisories in our WLB2 database:
Topic
Author
Date
High
Citrix XenCenterWeb Multiple Vulnerabilities
Claudio Criscion...
08.07.2009

CVSS2 => (AV:N/AC:M/Au:S/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6/10
6.4/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Citrix -> Xencenterweb 

 References:
http://securenetwork.it/ricerca/advisory/download/SN-2009-01.txt
http://securitytracker.com/id?1022520
http://www.exploit-db.com/exploits/9106
http://www.securityfocus.com/archive/1/504764
http://www.securityfocus.com/bid/35592
http://www.vupen.com/english/advisories/2009/1814
https://exchange.xforce.ibmcloud.com/vulnerabilities/51576

Copyright 2022, cxsecurity.com

 

Back to Top